# Get feature changelog

| **Description** | Gets the most recent changes to the features of a vector layer |
| --------------- | -------------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/vector/timestamp/{timestampId}/changelog`      |
| **Method**      | GET                                                            |

### Authorization Rules

| **Access Level** | View |
| ---------------- | ---- |

### Processing Units

| **Processing units** | 5 |
| -------------------- | - |

### Parameters

<table data-header-hidden><thead><tr><th>Name</th><th width="353">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the vector timestamp to get feature changes from.</td><td>true</td><td></td></tr><tr><td><code>actions</code></td><td>Array of change actions to retrieve. Possible options are "add", "edit", "delete", "recover" and "move".</td><td>false</td><td>Default ["add","edit","delete","recover","move"].</td></tr><tr><td><code>pageStart</code></td><td>JSON containing required property "startDate" and optional property "pagingId" defining where to start the search from. Use the "nextPagestart" property from the output of a previous get feature changelog request to get the next batch of changes.</td><td>false</td><td>Default null.</td></tr><tr><td><code>pageSize</code></td><td>The number of results to return. Maximum 100.</td><td>false</td><td>Default 100.</td></tr><tr><td><code>userId</code></td><td>Gets the changes made by the user with the given id.</td><td>false</td><td>Default null.</td></tr><tr><td><code>tiles</code></td><td>Array of JSONS with properties 'tileX', 'tileY' and 'zoom' defining a tile area to retrieve features changes of.</td><td>false</td><td>Default null.</td></tr><tr><td><code>extent</code></td><td>A JSON with required properties "xMin", "xMax", "yMin" and "yMax" denotating the longitude and latitude bounds of the changelog to retrieve.</td><td>false</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/get-feature-changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
